summaryrefslogtreecommitdiffstats
path: root/ci/opencontrail/01-deploybundle.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/opencontrail/01-deploybundle.sh')
-rwxr-xr-xci/opencontrail/01-deploybundle.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ci/opencontrail/01-deploybundle.sh b/ci/opencontrail/01-deploybundle.sh
new file mode 100755
index 00000000..07365780
--- /dev/null
+++ b/ci/opencontrail/01-deploybundle.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+#placeholder for deployment script.
+set -ex
+
+cp opencontrail/juju-deployer/contrail.yaml ./
+
+echo "... Deployment Started ...."
+
+#case openstack kilo with odl
+juju-deployer -d -r 13 -c contrail.yaml trusty-juno-contrail
+
+#case openstack kilo with odl ha
+#juju-deployer -d -r 13 -c contrail-ha.yaml trusty-juno-contrail
+
+#case openstack master tip git tree with odl
+#cp -R odl/juju-deployer/source/*.yaml ./
+#juju-deployer -d -r 13 -c contrail-tip.yaml trusty-juno-contrail
+
+echo "... Deployment finished ...."